import Layout from '@/layout'
const BasicsDataRoutes = {
  path: '/BasicsData',
  component: Layout,
  meta: { roles: ['system_menu'], keepAlive: false },
  children: [
    {
      path: '/BasicsData',
      name: 'BasicsData',
      component: () => import('@/views/BasicsData/index'),
      meta: { title: '基础数据', icon: 'BasicsData', imgstyle: 'ic_setting_nav_default.png', imgstyleup: 'ic_setting_nav_check.png', keepAlive: false },
      children: [
        // 权限airline_information_page导致航司信息维护不显示
        {
          path: '/BasicsData',
          name: 'airlineCompanyInfo',
          component: () => import('@/views/BasicsData/views/airlineCompany/airlineCompanyInfo'),
          meta: { title: '航司信息维护', keepAlive: false },
          hidden: true,
          src: require('@/assets/nav/ic_data_top_default @2x.png'),
          srcer: require('@/assets/nav/ic_data_top_check@2x.png')
        },
        {
          path: '/BasicsData/airportInfo',
          name: 'airportInfo',
          component: { render(c) { return c('router-view') } },
          redirect: '/BasicsData/airportInfo',
          meta: { title: '机场信息维护', keepAlive: false },
          hidden: true,
          src: require('@/assets/nav/ic_data_top_default @2x.png'),
          srcer: require('@/assets/nav/ic_data_top_check@2x.png'),
          children: [
            {
              path: '/BasicsData/airportInfo',
              component: () => import('@/views/BasicsData/views/airport/airportInfo'),
              meta: { title: '机场信息维护', keepAlive: false },
            },
            {
              path: '/BasicsData/airportInfoDetails',
              name: 'airportInfoDetails',
              component: () => import('@/views/BasicsData/views/airport/airportInfoDetails'),
              meta: { title: '基本信息', keepAlive: false },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            },
            {
              path: '/BasicsData/airportInfoChild',
              name: 'airportInfoChild',
              component: () => import('@/views/BasicsData/views/airport/airportInfoChild'),
              meta: { title: '航站设置', keepAlive: false },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            }
          ]
        },
        {
          path: '/BasicsData/deployNode',
          name: 'deployNode',
          component: { render(c) { return c('router-view') } },
          meta: { title: '节点信息维护', keepAlive: false },
          hidden: true,
          src: require('@/assets/nav/ic_data_top_default @2x.png'),
          srcer: require('@/assets/nav/ic_data_top_check@2x.png'),
          children: [
            {
              path: '/BasicsData/deployNode',
              component: () => import('@/views/BasicsData/views/deployNode/deployNodeHome'),
              meta: { title: '节点信息维护', keepAlive: false },
            },
            {
              path: '/BasicsData/deployNodeChild',
              name: 'deployNodeChild',
              component: () => import('@/views/BasicsData/views/deployNode/deployNodeChild'),
              meta: { title: '节点设置', keepAlive: false },
              hidden: false,
              isAlone: true,
              src: require('@/assets/nav/ic_setting_top@2x.png')
            }
          ]
        },
        // {
        //   path: '/BasicsData/warningSet',
        //   name: 'warningSet',
        //   component: { render(c) { return c('router-view') } },
        //   redirect: '/BasicsData/warningSet',
        //   meta: { title: '报警预警设置' },
        //   hidden: true,
        //   src: require('@/assets/nav/ic_setting_top_default.png'),
        //   srcer: require('@/assets/nav/ic_setting_top_check.png'),
        //   children: [{
        //     path: '/BasicsData/warningSet',
        //     component: () => import('@/views/BasicsData/views/warningSet/warningSet'),
        //   },
        //   {
        //     path: '/BasicsData/warningEdit',
        //     name: 'warningEdit',
        //     component: () => import('@/views/BasicsData/views/warningSet/warningEdit'),
        //     meta: { title: '报警预警设置' },
        //     hidden: false,
        //     isAlone: true,
        //     src: require('@/assets/nav/ic_setting_top@2x.png')
        //   },
        //   ]
        // },
        {
          path: '/BasicsData/BaggageType',
          name: 'BaggageType',
          component: () => import('@/views/BasicsData/views/BaggageType/BaggageType'),
          meta: { title: '特殊行李维护', keepAlive: false },
          hidden: true,
          src: require('@/assets/nav/ic_data_top_default @2x.png'),
          srcer: require('@/assets/nav/ic_data_top_check@2x.png')
        },
        // {
        //   path: '/BasicsData/airportChild',
        //   name: 'airportChild',
        //   component: () => import('@/views/systemSettings/views/airport/airportChild'),
        //   meta: { title: '航站设置' },
        //   hidden: false,
        //   isAlone: true,
        //   src: require('@/assets/nav/ic_setting_top@2x.png')
        // }
      ]
    }
  ]
}


export default [
  BasicsDataRoutes
]
