import Layout from '@/layout'
const integrationRoutes = {
  path: '/integration',
  component: Layout,
  meta: { roles: ['system_menu'], keepAlive: false },
  children: [
    {
      path: '/integration',
      component: () => import('@/views/dataIntegration/index.vue'),
      meta: { title: '数据整合', icon: 'dataParser', imgstyle: 'ic_list_nav_search_default.png', imgstyleup: 'ic_list_nav_search_check.png', keepAlive: false },
      children: [
        {
          path: '/integration',
          name: 'integration',
          component: {
            render(c) {
              return c('router-view')
            }
          },
          meta: { title: '数据整合', keepAlive: false },
          children: [
            {
              path: '/integration',
              name: 'integrationHome',
              meta: { title: '数据整合', keepAlive: false },
              component: () => import('@/views/dataIntegration/views/integrationHome.vue')
            },
            {
              path: '/integration/interfaceEdit',
              name: 'InterfaceEdit',
              component: () => import('@/views/dataIntegration/views/interfaceEdit'),
              meta: { title: '编辑接口', keepAlive: false }
            },
            {
              path: '/integration/interfaceLog',
              name: 'InterfaceLog',
              component: () => import('@/views/dataIntegration/views/interfaceLog'),
              meta: { title: '日志查询', keepAlive: false }
            }
          ]
        }
      ]
    }
  ]
}


export default [
  integrationRoutes
]
