import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'
import auth from './modules/auths'
import tagsView from './modules/tagsView'
import permission from './permission'
import keepAlive from './modules/keepAlive'
import timeZone from './modules/timeZone'
Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    settings,
    user,
    tagsView,
    auth,
    permission,
    keepAlive,
    timeZone
  },
  getters
})

export default store
